Subject: Re: More SWI questions

From: Paul Singleton <[email-masked]>
Date: Fri, 08 Feb 2002 17:05:35 +0000

Jan Wielemaker wrote (in reply to Christophe Costa Florencio 
[email-masked]):

>>Re unifying w/o occurs check: I'm just curious, how is the
>>resulting term represented internally? How is printing of infinite objects
>>implemented? It seems to me there must be a check for cyclicity somewhere

> It isn't.  There is a depth-limit to printed terms (see the
> option-list in write_term/[2,3]).  The toplevel uses this limit.

Jan recently added support in the FLI (PL_same_functor) for detecting 
cycles,
and this permits programming of safe output of cyclic terms (and also of
compact output of terms with common subterms).

Paul Singleton